Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions
h5dread_f Interface Reference

## Public Member Functions
subroutine | h5dread_ckind_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ckind_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_16_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_1_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_2_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_4_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_ikind_8_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_10_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_16_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_4_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_0 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_1 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_2 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_3 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_4 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_5 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_6 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)
subroutine | h5dread_rkind_8_rank_7 (dset_id, mem_type_id, buf, dims, hdferr, mem_space_id, file_space_id, xfer_prp)

## Member Function/Subroutine Documentation

## ◆ h5dread_ckind_rank_1()

subroutine h5dread_ckind_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_2()

subroutine h5dread_ckind_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_3()

subroutine h5dread_ckind_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_4()

subroutine h5dread_ckind_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_5()

subroutine h5dread_ckind_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_6()

subroutine h5dread_ckind_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ckind_rank_7()

subroutine h5dread_ckind_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | character(len=*), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_0()

subroutine h5dread_ikind_16_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_1()

subroutine h5dread_ikind_16_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_2()

subroutine h5dread_ikind_16_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_3()

subroutine h5dread_ikind_16_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_4()

subroutine h5dread_ikind_16_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_5()

subroutine h5dread_ikind_16_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_6()

subroutine h5dread_ikind_16_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_16_rank_7()

subroutine h5dread_ikind_16_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_0()

subroutine h5dread_ikind_1_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_1()

subroutine h5dread_ikind_1_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_2()

subroutine h5dread_ikind_1_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_3()

subroutine h5dread_ikind_1_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_4()

subroutine h5dread_ikind_1_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_5()

subroutine h5dread_ikind_1_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_6()

subroutine h5dread_ikind_1_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_1_rank_7()

subroutine h5dread_ikind_1_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=1), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_0()

subroutine h5dread_ikind_2_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_1()

subroutine h5dread_ikind_2_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_2()

subroutine h5dread_ikind_2_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_3()

subroutine h5dread_ikind_2_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_4()

subroutine h5dread_ikind_2_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_5()

subroutine h5dread_ikind_2_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_6()

subroutine h5dread_ikind_2_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_2_rank_7()

subroutine h5dread_ikind_2_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=2), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_0()

subroutine h5dread_ikind_4_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_1()

subroutine h5dread_ikind_4_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_2()

subroutine h5dread_ikind_4_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_3()

subroutine h5dread_ikind_4_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_4()

subroutine h5dread_ikind_4_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_5()

subroutine h5dread_ikind_4_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_6()

subroutine h5dread_ikind_4_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_4_rank_7()

subroutine h5dread_ikind_4_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_0()

subroutine h5dread_ikind_8_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_1()

subroutine h5dread_ikind_8_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_2()

subroutine h5dread_ikind_8_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_3()

subroutine h5dread_ikind_8_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_4()

subroutine h5dread_ikind_8_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_5()

subroutine h5dread_ikind_8_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_6()

subroutine h5dread_ikind_8_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_ikind_8_rank_7()

subroutine h5dread_ikind_8_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | integer(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_0()

subroutine h5dread_rkind_10_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_1()

subroutine h5dread_rkind_10_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_2()

subroutine h5dread_rkind_10_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_3()

subroutine h5dread_rkind_10_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_4()

subroutine h5dread_rkind_10_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_5()

subroutine h5dread_rkind_10_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_6()

subroutine h5dread_rkind_10_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_10_rank_7()

subroutine h5dread_rkind_10_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=10), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_0()

subroutine h5dread_rkind_16_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_1()

subroutine h5dread_rkind_16_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_2()

subroutine h5dread_rkind_16_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_3()

subroutine h5dread_rkind_16_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_4()

subroutine h5dread_rkind_16_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_5()

subroutine h5dread_rkind_16_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_6()

subroutine h5dread_rkind_16_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_16_rank_7()

subroutine h5dread_rkind_16_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=16), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_0()

subroutine h5dread_rkind_4_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_1()

subroutine h5dread_rkind_4_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_2()

subroutine h5dread_rkind_4_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_3()

subroutine h5dread_rkind_4_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_4()

subroutine h5dread_rkind_4_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_5()

subroutine h5dread_rkind_4_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_6()

subroutine h5dread_rkind_4_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_4_rank_7()

subroutine h5dread_rkind_4_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=4), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_0()

subroutine h5dread_rkind_8_rank_0 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_1()

subroutine h5dread_rkind_8_rank_1 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_2()

subroutine h5dread_rkind_8_rank_2 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_3()

subroutine h5dread_rkind_8_rank_3 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_4()

subroutine h5dread_rkind_8_rank_4 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_5()

subroutine h5dread_rkind_8_rank_5 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_6()

subroutine h5dread_rkind_8_rank_6 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

## ◆ h5dread_rkind_8_rank_7()

subroutine h5dread_rkind_8_rank_7 | ( | integer(hid_t), intent(in) | dset_id,
|  | integer(hid_t), intent(in) | mem_type_id,
|  | real(kind=8), dimension(dims(1),dims(2),dims(3),dims(4),dims(5),dims(6),dims(7)), intent(inout), target | buf,
|  | integer(hsize_t), dimension(*), intent(in) | dims,
|  | integer, intent(out) | hdferr,
|  | integer(hid_t), intent(in), optional | mem_space_id,
|  | integer(hid_t), intent(in), optional | file_space_id,
|  | integer(hid_t), intent(in), optional | xfer_prp )

The documentation for this interface was generated from the following file:

- config/toolchain/fortpregen/gfortran/H5_gen.F90